Subject: RE: [Speermint] Regarding the term "federation"

From: "Michael Hammer \(mhammer\)" <[email-masked]>
Date: Wed, 25 Oct 2006 13:43:23 -0400

Otmar,

I don't know that the distinction is sufficiently different to need
another term.  This would seem to be arguing about whether some peers
are more or less equal than others.  I would prefer not to get too far
into the business aspects of this.  Just leave room for multiple models
to operate.

Mike

> -----Original Message-----
> From: Otmar Lendl [mailto:[email-masked]] 
> Sent: Wednesday, October 25, 2006 10:37 AM
> To: [email-masked]
> Subject: [Speermint] Regarding the term "federation"
> 
> 
> The term federation in the context of Speermint appeared 
> (AFAIK) first in draft-lendl-sip-peering-policy-00.txt, then 
> the definition got moved to 
> draft-ietf-speermint-reqs-and-terminology-01.txt,
> then draft-ietf-speermint-terminology-06 plus 
> draft-lendl-speermint-federations-03.
> 
> >From the current terminology draft:
> 
>    A federation is a group of VSPs which agree to receive calls from
>    each other via SIP, and who agree on a set of administrative rules
>    for such calls (settlement, abuse-handling, ...) and the specific
>    rules for the technical details of the interconnection.
> 
> My basic premise for this definition was the idea that 
> federations should play the same role in SIP routing as 
> subnets play in L3 routing:
> If the higher level routing algorithm notices that his host 
> and the destination share a common subnet, then use his 
> interface into that subnet to directly route to the destination.
> 
> That routing step only works if all members of a federation 
> can talk to each other.
> 
> Some other drafts have picked up the "federation" terminology. 
> I'm not sure they agree on the definition, though. Thus this mail.
> 
> To recap what I think a "federation" should be:
> 
> * Full mesh between members.
> 
>   No "we both members of $WHATEVER, but we don't peer with 
> each other there".
> 
>   Corrolary: there is no need for the federation to maintain detailed
>   information on what routing information should be disclosed to which
>   member.
> 
> * A federation is a mathematical set of VSPs. There can, but need not
>   be some organization (with associated services) behind a federation.
> 
> >From what I read between the lines of other drafts, a 
> federation there
> needs to be operated by someone who provides various business 
> and technical services, including a DB which stores who has 
> agreed to peer with whom.
> 
> Now, I'm not saying that this is a bad idea. In fact, for 
> some scenarios this is the likely outcome. 
> 
> I'm just worried about keeping the terminology consistent. 
> 
> What about calling such managed federations "peering fabrics"?
> 
> /ol
> --
> < Otmar Lendl ([email-masked]) | nic.at Systems Engineer >
> 
> _______________________________________________
> Speermint mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/speermint
> 

_______________________________________________
Speermint mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/speermint